Bug 173191 - lang/squeak: invalid dependency.
Summary: lang/squeak: invalid dependency.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Stefan Walter
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-29 12:00 UTC by IWAMOTO Kouichi
Modified: 2013-04-28 13:30 UTC (History)
0 users

See Also:


Attachments
file.diff (483 bytes, patch)
2012-10-29 12:00 UTC, IWAMOTO Kouichi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description IWAMOTO Kouichi 2012-10-29 12:00:02 UTC
lang/squeak have invalid dependency.

BUILD_DEPENDS=		unzip:${PORTSDIR}/archivers/unzip \
			cmake:${PORTSDIR}/devel/cmake \
			${LOCALBASE}/include/libv4l2.h:${PORTSDIR}/multimedia/v4l_compat

multimedia/compat_v4l does not have libv4l2.h, but multimedia/libv4l has it.
lang/squeak already depends on multimedia/libv4l in LIB_DEPENDS.

If multimedia/v4l_compat is installed and multimedia/libv4l is not installed,
building of lang/squeak is failed.

How-To-Repeat: # cd /usr/ports/multimedia/v4l_compat
# make install
# cd /usr/ports/lang/squeak
# make
Comment 1 Edwin Groothuis freebsd_committer 2012-10-29 12:00:14 UTC
Maintainer of lang/squeak,

Please note that PR ports/173191 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/173191

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2012-10-29 12:00:15 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Takeshi MUTOH 2012-12-07 05:52:16 UTC
Hi, I'm a maintainer of lang/squeak.

I'm sorry that I reply mail too late.

On 2012/10/29, at 21:00, Edwin Groothuis <edwin@FreeBSD.org> wrote:
> Please note that PR ports/173191 has just been submitted.
  (snip)
> The full text of the PR can be found at:
>    http://www.freebsd.org/cgi/query-pr.cgi?pr=3Dports/173191

I mistake that dependencies from libv4l to v4l_compat is already done at =
libv4l BUILD_DEPENDS.
In addition, there is ${LOCALBASE}/include/libv4l2.h at not v4l_compat =
but libv4l.

I try this patch, there is no problem at 8.2R and 9.0R.

At 10-current, I cannot build because of clang change over from GCC.=20
This patch is send-pr later.

Thanks in advance.
--
Takeshi MUTOH <mutoh@openedu.org>
Comment 4 Stefan Walter freebsd_committer 2013-04-28 12:46:01 UTC
State Changed
From-To: feedback->open

Maintainer has approved submitter's patch. 


Comment 5 Stefan Walter freebsd_committer 2013-04-28 12:46:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->stefan

Take.
Comment 6 Stefan Walter freebsd_committer 2013-04-28 13:25:21 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 7 dfilter service freebsd_committer 2013-04-28 13:25:30 UTC
Author: stefan
Date: Sun Apr 28 12:25:18 2013
New Revision: 316713
URL: http://svnweb.freebsd.org/changeset/ports/316713

Log:
  Remove incorrect build dependency on multimedia/v4l_compat.
  
  PR:		173191
  Submitted by:	IWAMOTO Kouichi <sue@iwmt.org>
  Approved by:	Takeshi MUTOH <mutoh@openedu.org> (maintainer)

Modified:
  head/lang/squeak/Makefile

Modified: head/lang/squeak/Makefile
==============================================================================
--- head/lang/squeak/Makefile	Sun Apr 28 11:24:26 2013	(r316712)
+++ head/lang/squeak/Makefile	Sun Apr 28 12:25:18 2013	(r316713)
@@ -23,8 +23,7 @@ LICENSE_COMB=		multi
 
 # Don't set USE_ZIP as this breaks EXTRACT_CMD.
 BUILD_DEPENDS=		${UNZIP_CMD}:${PORTSDIR}/archivers/unzip \
-			cmake:${PORTSDIR}/devel/cmake \
-			${LOCALBASE}/include/libv4l2.h:${PORTSDIR}/multimedia/v4l_compat
+			cmake:${PORTSDIR}/devel/cmake
 LIB_DEPENDS=		audio:${PORTSDIR}/audio/nas \
 			ffi:${PORTSDIR}/devel/libffi \
 			asound:${PORTSDIR}/audio/alsa-lib \
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"